package cn.iocoder.yudao.module.llm.enums;

import cn.hutool.core.util.ObjUtil;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

@Getter
@AllArgsConstructor
public enum DatasetStatusEnum {
    NOPENDING("未标注",0),
    RUNNING("进行中",1),
    SUCCESS("已完成",2);
    private final String name;
    private final Integer status;
    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(DatasetStatusEnum::getStatus).toArray();

    public static String getStatusByName(Integer status) {
        for (DatasetStatusEnum name : values()) {
            if (ObjUtil.equal(name.getStatus(), status)) {
                return name.getName();
            }
        }
        return null; // 如果未找到对应的 name，返回 null
    }
}
